Bug 1750918 - scipy: SyntaxWarnings with python 3.8
Summary: scipy: SyntaxWarnings with python 3.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: scipy
Version: 32
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 18:13 UTC by Jerry James
Modified: 2020-03-16 20:33 UTC (History)
4 users (show)

Fixed In Version: scipy-1.4.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:33:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Jerry James 2019-09-10 18:13:11 UTC
Description of problem:
I'm doing some work on sagemath in Rawhide.  While building, I see warnings about scipy from python 3.8:

/usr/lib64/python3.8/site-packages/scipy/optimize/_shgo.py:495: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if cons['type'] is 'ineq':
/usr/lib64/python3.8/site-packages/scipy/optimize/_shgo.py:743: SyntaxWarning: "is not" with a literal. Did you mean "!="?
  if len(self.X_min) is not 0:

I don't yet know if these warnings will be shown to the user at runtime.

Version-Release number of selected component (if applicable):
python3-scipy-1.2.1-7.fc32

How reproducible:
Always

Steps to Reproduce:
1. Build sagemath
2.
3.

Actual results:
The warnings shown above are emitted.

Expected results:
No warnings.

Additional info:

Comment 1 Miro Hrončok 2019-09-10 21:05:56 UTC
Fixed upstream in https://github.com/scipy/scipy/commit/2b3ed615b9d869194680496b52e9c884a2666e35

Comment 2 Miro Hrončok 2019-11-08 23:16:56 UTC
1.3.1 still has this:

/usr/lib64/python3.8/site-packages/scipy/io/netcdf.py:770: SyntaxWarning: "is not" with a literal. Did you mean "!="?
/usr/lib64/python3.8/site-packages/scipy/optimize/_shgo.py:495: SyntaxWarning: "is" with a literal. Did you mean "=="?
/usr/lib64/python3.8/site-packages/scipy/optimize/_shgo.py:743: SyntaxWarning: "is not" with a literal. Did you mean "!="?

Comment 3 Ben Cotton 2020-02-11 17:48:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 4 Fedora Update System 2020-03-05 05:01:21 UTC
FEDORA-2020-db20d9bcc9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-db20d9bcc9

Comment 5 Fedora Update System 2020-03-05 19:36:25 UTC
scipy-1.4.1-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-db20d9bcc9

Comment 6 Fedora Update System 2020-03-16 20:33:45 UTC
scipy-1.4.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.